# Page the group: whoever is on call first, then escalation

Returns 200 with `deduplicated: true` when an open page with the same `dedupKey` absorbed it. Pages have no monthly notification cap.

HTML: https://notify.belweave.ai/docs/api/postOncallGroupIdPages

Required scopes: `oncall:write`

```http
POST /api/agent/oncall/{groupId}/pages
Authorization: Bearer ntf_your_token
```

## Operation schema

```json
{
  "summary": "Page the group: whoever is on call first, then escalation",
  "description": "Returns 200 with `deduplicated: true` when an open page with the same `dedupKey` absorbed it. Pages have no monthly notification cap.",
  "operationId": "postOncallGroupIdPages",
  "security": [
    {
      "bearer": [
        "oncall:write"
      ]
    }
  ],
  "x-notify-scopes": [
    "oncall:write"
  ],
  "parameters": [
    {
      "name": "groupId",
      "in": "path",
      "schema": {
        "type": "string"
      },
      "required": true
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "title": {
              "type": "string",
              "minLength": 1,
              "maxLength": 120
            },
            "body": {
              "type": "string",
              "maxLength": 2000
            },
            "url": {
              "type": "string",
              "maxLength": 2048,
              "format": "uri"
            },
            "appId": {
              "type": "string",
              "pattern": "^app_[A-Za-z0-9_-]{8,64}$"
            },
            "dedupKey": {
              "type": "string",
              "minLength": 1,
              "maxLength": 200
            },
            "group": {
              "type": "string",
              "pattern": "^dgrp_[A-Za-z0-9_-]{8,64}$"
            }
          },
          "required": [
            "title"
          ],
          "additionalProperties": false
        }
      }
    }
  },
  "responses": {
    "201": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/OncallPageCreated"
          }
        }
      }
    },
    "400": {
      "description": "Invalid request",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "401": {
      "description": "Missing, unknown, revoked, or expired token",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "403": {
      "description": "The token lacks a required scope or the account lacks permission",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "404": {
      "description": "Not found for this account",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}
```

Resolve schema references against [OpenAPI](https://notify.belweave.ai/openapi.json).
